---@meta

---@class ABP_Interactable_Actor_C : ARGInteractableActor
---@field UberGraphFrame FPointerToUberGraphFrame
---@field Buoyancy UBuoyancyComponent
---@field StaticMesh UStaticMeshComponent
---@field HoldTransform FTransform
---@field InteractableIMC UInputMappingContext
---@field Player ABP_FirstPersonCharacter_C
---@field AttachedToActor AActor
---@field RelativeAttachTransform FTransform
---@field TickWhenPickedUp boolean
---@field TickInitialState boolean
---@field CanBePickedUpWhenAttached boolean
---@field Interactble_LookatPlayerInteractions TMap<FName, UInputAction>
---@field Interactble_PickedUpPlayerInteractions TMap<FName, UInputAction>
---@field ObjectAttachType FGameplayTagContainer
---@field AcceptableAttachTypes FGameplayTagContainer
---@field AttachPointState FGameplayTag
---@field CustomAttachTransform FTransform
---@field DefaultObjectType ECollisionChannel
---@field CharacterPose E_CharacterPose::Type
---@field SpawnAttachedCollisionType ECollisionChannel
---@field ThirdPersonDummyClass TSubclassOf<ABP_ThirdPersonDummy_C>
---@field FPPHoldOffset FTransform
---@field TPPHoldOffset FTransform
---@field CharacterPoseSequence UAnimSequenceBase
---@field CurrentTags FGameplayTagContainer
---@field DisplayName FText
---@field ShouldBeAttachedOnSpawn boolean
---@field GameTimeOffset double
---@field Pickupable boolean
---@field SelfHitSound USoundBase
---@field PlayTriggerEffectsEffect boolean
---@field IsHardHit boolean
---@field HitSurface EPhysicalSurface
---@field NormalizedImpactForce double
---@field AttachPointTypeTransfromMap TMap<TSubclassOf<AActor>, FTransform>
---@field Interactable_LookatPlayerInteractionTexts TMap<UInputAction, FText>
---@field Interactable_PickedUpPlayerInteractionTexts TMap<UInputAction, FText>
local ABP_Interactable_Actor_C = {}

---@return boolean
function ABP_Interactable_Actor_C:AllowWinchAttach() end
---@param outCustomAttachLocation FVector
---@return boolean
function ABP_Interactable_Actor_C:GetCustomAttachLocation(outCustomAttachLocation) end
---@param PickedUpPlayerInteractions TMap<UInputAction, FText>
function ABP_Interactable_Actor_C:GetAttachedToPlayerInteractionTexts(PickedUpPlayerInteractions) end
---@param PickedUpPlayerInteractions TMap<UInputAction, FText>
---@param IMC UInputMappingContext
function ABP_Interactable_Actor_C:GetPickedUpPlayerInteractionTexts(PickedUpPlayerInteractions, IMC) end
---@param InstigatingPlayer ARGFirstPersonCharacter
---@param InstigatingPlayerHeldActor AActor
---@param Hit FHitResult
---@param LookAtPlayerInteractionTexts TMap<UInputAction, FText>
function ABP_Interactable_Actor_C:GetLookAtPlayerInteractionTexts(InstigatingPlayer, InstigatingPlayerHeldActor, Hit, LookAtPlayerInteractionTexts) end
---@param UseCustomBrush boolean
---@param Brush FSlateBrush
function ABP_Interactable_Actor_C:GetCustomCrosshair(UseCustomBrush, Brush) end
---@param PickUpObject UObject
---@param Success boolean
function ABP_Interactable_Actor_C:IsAttachPointBlocking(PickUpObject, Success) end
---@param PlacementTransform FTransform
---@param Success boolean
function ABP_Interactable_Actor_C:PlaceActor(PlacementTransform, Success) end
---@param ImpulseStrength FVector
---@param Location FVector
---@param Success boolean
function ABP_Interactable_Actor_C:AddImpulseAtLocation(ImpulseStrength, Location, Success) end
---@param Player ABP_FirstPersonCharacter_C
---@param BlockInteraction boolean
function ABP_Interactable_Actor_C:BlockInteraction(Player, BlockInteraction) end
---@param IsPickupable boolean
function ABP_Interactable_Actor_C:IsPickupable(IsPickupable) end
---@param Success boolean
function ABP_Interactable_Actor_C:ShouldUseHoldTransform(Success) end
---@param Success boolean
---@param DisplayName FText
function ABP_Interactable_Actor_C:GetDisplayName(Success, DisplayName) end
---@param InstigatingPlayer ABP_FirstPersonCharacter_C
---@param Success boolean
function ABP_Interactable_Actor_C:SecondaryInteract(InstigatingPlayer, Success) end
---@param ImpulseStrength FVector
---@param Success boolean
function ABP_Interactable_Actor_C:AddImpulse(ImpulseStrength, Success) end
---@param PlayerCharacter ABP_FirstPersonCharacter_C
---@param HitResult FHitResult
---@param Success boolean
function ABP_Interactable_Actor_C:StopInteract(PlayerCharacter, HitResult, Success) end
---@param RepairTarget AActor
---@param RepairTool ABP_Interactable_Actor_C
---@param Success boolean
function ABP_Interactable_Actor_C:Repair(RepairTarget, RepairTool, Success) end
---@param Success boolean
---@param AcceptedDamageTypes FGameplayTagContainer
function ABP_Interactable_Actor_C:GetAcceptedDamageTypes(Success, AcceptedDamageTypes) end
---@param FPPOffset FTransform
---@param TPPOffset FTransform
---@param Success boolean
function ABP_Interactable_Actor_C:GetAttachOffset(FPPOffset, TPPOffset, Success) end
---@param Mesh UStaticMesh
---@param DynamicMaterial UMaterialInstanceDynamic
function ABP_Interactable_Actor_C:GetVisuals(Mesh, DynamicMaterial) end
---@param ThirdPersonDummyClass TSubclassOf<ABP_ThirdPersonDummy_C>
function ABP_Interactable_Actor_C:GetThirdPersonDummyClass(ThirdPersonDummyClass) end
---@param Success boolean
function ABP_Interactable_Actor_C:Explode(Success) end
---@param Success boolean
---@param CharacterPose E_CharacterPose::Type
---@param CharacterPoseAnim UAnimSequenceBase
function ABP_Interactable_Actor_C:GetCharacterPose(Success, CharacterPose, CharacterPoseAnim) end
---@param NewTransform FTransform
---@param Success boolean
function ABP_Interactable_Actor_C:SetNewAttachTransform(NewTransform, Success) end
---@param AttachParent AActor
---@param Success boolean
---@param CustomAttachTransform FTransform
function ABP_Interactable_Actor_C:GetCustomAttachTransform(AttachParent, Success, CustomAttachTransform) end
---@param Success boolean
---@param CustomAttachComponent USceneComponent
function ABP_Interactable_Actor_C:GetCustomAttachComponent(Success, CustomAttachComponent) end
---@param Success boolean
---@param AttachPointState FGameplayTag
function ABP_Interactable_Actor_C:GetAttachPointState(Success, AttachPointState) end
---@param AttachPointState FGameplayTag
---@param Success boolean
function ABP_Interactable_Actor_C:SetAttachPointState(AttachPointState, Success) end
---@param Success boolean
---@param AttachType FGameplayTagContainer
function ABP_Interactable_Actor_C:GetObjectAttachType(Success, AttachType) end
---@param PickUpObject UObject
---@param Success boolean
function ABP_Interactable_Actor_C:CanPickUpObjectBeAttachedToLookAtObject(PickUpObject, Success) end
---@param ActorHitting AActor
---@param Hit FHitResult
---@param ImpulseVector FVector
---@param DamageResults FST_Damage_Results
---@param Success boolean
function ABP_Interactable_Actor_C:Hit(ActorHitting, Hit, ImpulseVector, DamageResults, Success) end
---@param destroy boolean
---@param Success boolean
function ABP_Interactable_Actor_C:ForceDetach(destroy, Success) end
---@param Parent AActor
---@param RelativeTransform FTransform
---@param Success boolean
function ABP_Interactable_Actor_C:ForceAttach(Parent, RelativeTransform, Success) end
---@param Parent AActor
---@param RelativeTransform FTransform
---@param PlayerAttaching ABP_FirstPersonCharacter_C
---@param SocketName FName
---@param Success boolean
function ABP_Interactable_Actor_C:AttachByPlayer(Parent, RelativeTransform, PlayerAttaching, SocketName, Success) end
---@param Success boolean
function ABP_Interactable_Actor_C:SetAttachedPhysicsState(Success) end
---@param PlayerCharacter ABP_FirstPersonCharacter_C
---@param HitResult FHitResult
---@param HoldTime double
---@param NewParam boolean
---@param Success boolean
function ABP_Interactable_Actor_C:Interact(PlayerCharacter, HitResult, HoldTime, NewParam, Success) end
---@param Success boolean
---@param Transform FTransform
function ABP_Interactable_Actor_C:GetCustomHoldTransform(Success, Transform) end
---@param Success boolean
function ABP_Interactable_Actor_C:SetDroppedPhysicsState(Success) end
---@param Success boolean
function ABP_Interactable_Actor_C:SetPickedUpPhysicsState(Success) end
---@param Success boolean
---@param PrimitiveComponent UPrimitiveComponent
function ABP_Interactable_Actor_C:GetPhysicsMesh(Success, PrimitiveComponent) end
---@param DroppingPlayer ABP_FirstPersonCharacter_C
---@param HoldTime double
function ABP_Interactable_Actor_C:ForceDrop(DroppingPlayer, HoldTime) end
function ABP_Interactable_Actor_C:OnRep_PlayTriggerEffectsEffect() end
function ABP_Interactable_Actor_C:ForceDropAndDestroy() end
---@param ActorIsPickedUp boolean
function ABP_Interactable_Actor_C:UpdateActorTick(ActorIsPickedUp) end
---@param PlayerCharacter ABP_FirstPersonCharacter_C
---@param ActorIsPickedUp boolean
function ABP_Interactable_Actor_C:UpdateInteractableState(PlayerCharacter, ActorIsPickedUp) end
---@param PlayerCharacter ABP_FirstPersonCharacter_C
---@param Success boolean
function ABP_Interactable_Actor_C:TryToPickupThisActor(PlayerCharacter, Success) end
---@param PlayerCharacter ABP_FirstPersonCharacter_C
---@param HoldTime double
---@param Success boolean
function ABP_Interactable_Actor_C:TryToDropThisActor(PlayerCharacter, HoldTime, Success) end
function ABP_Interactable_Actor_C:ResetHitToBeActive() end
---@param HoldingPlayer ABP_FirstPersonCharacter_C
function ABP_Interactable_Actor_C:GetHoldingPlayer(HoldingPlayer) end
---@param NotificationText FText
function ABP_Interactable_Actor_C:AddLocalPlayerNotification(NotificationText) end
---@param TagsDoAdd FGameplayTagContainer
---@param TagsDoRemove FGameplayTagContainer
function ABP_Interactable_Actor_C:InternalAssignGameplayTags(TagsDoAdd, TagsDoRemove) end
function ABP_Interactable_Actor_C:OnRep_CurrentTags() end
---@param TagsToAdd FGameplayTagContainer
---@param TagsToRemove FGameplayTagContainer
function ABP_Interactable_Actor_C:DoAssignGamePlayTags(TagsToAdd, TagsToRemove) end
function ABP_Interactable_Actor_C:OnCurrentTagsUpdated() end
---@param InstigatingPlayer ABP_FirstPersonCharacter_C
---@param Drop boolean
---@param HoldTime double
function ABP_Interactable_Actor_C:InitiatePickup(InstigatingPlayer, Drop, HoldTime) end
---@param AttachParent AActor
---@param AttachComponent USceneComponent
---@param SocketName FName
---@return boolean
function ABP_Interactable_Actor_C:ReceiveCustomClientAttach(AttachParent, AttachComponent, SocketName) end
---@param destroy boolean
function ABP_Interactable_Actor_C:Internal_ForceDetach(destroy) end
function ABP_Interactable_Actor_C:UserConstructionScript() end
---@param Player ABP_FirstPersonCharacter_C
---@param Stop boolean
function ABP_Interactable_Actor_C:CallBackPrimaryFire(Player, Stop) end
---@param Player ABP_FirstPersonCharacter_C
---@param Stop boolean
function ABP_Interactable_Actor_C:CallBackSecondaryFire(Player, Stop) end
---@param Heat int32
function ABP_Interactable_Actor_C:StartCooking(Heat) end
function ABP_Interactable_Actor_C:StopCooking() end
function ABP_Interactable_Actor_C:ReceiveBeginPlay() end
---@param destroy boolean
function ABP_Interactable_Actor_C:Multicast_ForceDetach(destroy) end
---@param TagsToAdd FGameplayTagContainer
---@param TagsToRemove FGameplayTagContainer
function ABP_Interactable_Actor_C:AssignGamePlayTags(TagsToAdd, TagsToRemove) end
---@param HitComponent UPrimitiveComponent
---@param OtherActor AActor
---@param OtherComp UPrimitiveComponent
---@param NormalImpulse FVector
---@param Hit FHitResult
function ABP_Interactable_Actor_C:BndEvt__BP_Interactable_Actor_StaticMesh_K2Node_ComponentBoundEvent_0_ComponentHitSignature__DelegateSignature(HitComponent, OtherActor, OtherComp, NormalImpulse, Hit) end
function ABP_Interactable_Actor_C:ResetHitCounter() end
---@param SleepingComponent UPrimitiveComponent
---@param BoneName FName
function ABP_Interactable_Actor_C:BndEvt__BP_Interactable_Actor_StaticMesh_K2Node_ComponentBoundEvent_1_ComponentSleepSignature__DelegateSignature(SleepingComponent, BoneName) end
---@param EntryPoint int32
function ABP_Interactable_Actor_C:ExecuteUbergraph_BP_Interactable_Actor(EntryPoint) end


